Create Nsp Configuration
Configure Public Access URL (NSP Section)
Configures the NSP config for Cloud HCX deployments. This sets the public access URL and cloud type for accessing HCX through cloud provider infrastructure.
Configuration Parameters:
- baseProxyUrl: Required, public URL for HCX access (e.g., https://hcx-proxy.vmc.vmware.com)
- cloudType: Required, cloud platform type ("VC", "VCD")
- isDefault: Optional, whether this is the default NSP configuration (boolean)
Request
URI
POST
https://{server}:9443/api/admin/global/config/nsp
COPY
Request Body
NspPostRequestBody
of type(s)
application/json
Required
{
"data": {
"items": [
{
"config": {
"baseProxyUrl": "string",
"cloudType": "string",
"isDefault": false
}
}
]
}
}
object
data
Optional
data
Authentication
This operation uses the following authentication methods.
Responses
200
NSP configured successfully
Returns
NspPostResponse200
of type(s)
application/json
{
"data": {
"items": [
{
"config": {
"baseProxyUrl": "string",
"cloudType": "string",
"isDefault": false,
"UUID": "string"
},
"section": "string"
}
]
}
}
object
data
Required
data
400
Bad request - invalid NSP configuration
Returns
ErrorResponse
of type(s)
application/json
{
"isSuccess": false,
"message": "Request schema validation failed",
"httpStatusCode": 400
}
boolean
isSuccess
Required
Indicates if the operation was successful
string
message
Required
Human-readable error message
integer
httpStatusCode
Required
HTTP status code
500
Internal server error while configuring NSP
Returns
ErrorResponse
of type(s)
application/json
{
"isSuccess": false,
"message": "Request schema validation failed",
"httpStatusCode": 400
}
boolean
isSuccess
Required
Indicates if the operation was successful
string
message
Required
Human-readable error message
integer
httpStatusCode
Required
HTTP status code
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/admin/global/config/nsp
Deprecated
System Configuration Operations
GET
Get Nsp Configuration
Deprecated
POST
Create Nsp Configuration
Deprecated
PUT
Update Nsp Configuration
Deprecated
GET
Get Static Routes
PUT
Configure Static Route
GET
Get Network Settings
PUT
Configure Dns Settings
DELETE
Remove Dns Settings
GET
Get Time Settings
PUT
Configure Time Settings
DELETE
Remove Ntp Settings
PUT
Change Appliance Password
GET
Get Apache Proxy Configuration
Deprecated
POST
Configure Apache Proxy
Deprecated